Skip Menu |
 

This queue is for tickets about the GraphViz CPAN distribution.

Report information
The Basics
Id: 108365
Status: rejected
Worked: 1 min
Priority: 0/
Queue: GraphViz

People
Owner: Nobody in particular
Requestors: wangchuanwen [...] webmail.hzau.edu.cn
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: install error
Date: Mon, 02 Nov 2015 10:27:01 +0800
To: bug-graphviz [...] rt.cpan.org
From: "cwwang" <wangchuanwen [...] webmail.hzau.edu.cn>
Download (untitled) / with headers
text/plain 728b
Hello: I'm very sorry to bother you!Here is my trouble. I download the GraphViz-2.18 using such cmmand "wget http://search.cpan.org/CPAN/authors/id/R/RS/RSAVAGE/GraphViz-2.18.tgz";and my "Operating System vendor and version" is "Linux node102 2.6.32-431.el6.x86_64 #1 SMP Fri Nov 22 03:15:09 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux";my perl version is v5.16.3. when I tried to install the GraphViz using cmmand "perl Makefile.PL PREFIX=/public/home/cwwang/local/activeperl-5.16.3/lib/", it only reported that "Can't exec "dot": No such file or directory at Makefile.PL line 19. Please install Graphviz from http://www.graphviz.org/." What's wrong with my install? Sincerely yours, Wang Chuanwen
Subject: Re: [rt.cpan.org #108365] install error
Date: Mon, 02 Nov 2015 14:13:06 +1100
To: bug-GraphViz [...] rt.cpan.org
From: Ron Savage <ron [...] savage.net.au>
Download (untitled) / with headers
text/plain 1.7k
Hi On 02/11/15 13:33, cwwang via RT wrote: Show quoted text
> Sun Nov 01 21:33:21 2015: Request 108365 was acted upon. > Transaction: Ticket created by wangchuanwen@webmail.hzau.edu.cn > Queue: GraphViz > Subject: install error > Broken in: (no value) > Severity: (no value) > Owner: Nobody > Requestors: wangchuanwen@webmail.hzau.edu.cn > Status: new > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=108365 > > > > Hello: > I'm very sorry to bother you!Here is my trouble. > I download the GraphViz-2.18 using such cmmand "wget http://search.cpan.org/CPAN/authors/id/R/RS/RSAVAGE/GraphViz-2.18.tgz";and my "Operating System vendor and version" is "Linux node102 2.6.32-431.el6.x86_64 #1 SMP Fri Nov 22 03:15:09 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux";my perl version is v5.16.3. > when I tried to install the GraphViz using cmmand "perl Makefile.PL PREFIX=/public/home/cwwang/local/activeperl-5.16.3/lib/", it only reported that > "Can't exec "dot": No such file or directory at Makefile.PL line 19. > Please install Graphviz from http://www.graphviz.org/." > What's wrong with my install?
(1) Use of GraphViz (Perl, with capital 'V') is strongly discouraged. Use GraphViz2 (Perl, with capital 'V') instead. (2) The error message explains it all! The Makefile tries to find the dot program, and since it's not installed already, the install of GraphViz (Perl, with capital 'V') aborts. You need to go to graphviz.org and download and install the version of Graphviz (lower-case 'v') which suits your architecture. Under Debian, e.g. you would do: shell> apt-get install Graphviz And then you can re-do the installation of GraphViz or GraphViz2. -- Ron Savage - savage.net.au


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.